#include "AbstractRGtoFAConverter.h"

using namespace alphabet;
using namespace automaton;
using namespace grammar;

namespace conversions
{

AbstractRGtoFAConverter::AbstractRGtoFAConverter( const RegularGrammar& grammar ) : m_grammar( grammar )
{

}

AbstractRGtoFAConverter::~AbstractRGtoFAConverter( void )
{

}

void AbstractRGtoFAConverter::createInputAlphabet( void )
{
    for( set<Symbol>::const_iterator i = m_grammar.getTerminalSymbols().begin(); i != m_grammar.getTerminalSymbols().end(); i++ )
        m_automaton . addInputSymbol( *i );
}

void AbstractRGtoFAConverter::createStates( void )
{
    for( set<Symbol>::const_iterator i = m_grammar.getNonTerminalSymbols().begin(); i != m_grammar.getNonTerminalSymbols().end(); i++ )
        m_automaton . addState( State( i-> getSymbol() ) );
}

} /* namespace conversions */
